Bug 50429 - ksconfig crashes if timezone not in zone.tab
ksconfig crashes if timezone not in zone.tab
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ksconfig (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-30 23:20 EDT by Steve Bonneville
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-30 23:21:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Bonneville 2001-07-30 23:20:56 EDT
Description of Problem:  If the ZONE variable in /etc/sysconfig/clock is
set to a valid
timezone in /usr/share/zoneinfo that is NOT also in
/usr/share/zoneinfo/zone.tab, then
ksconfig crashes with an ugly Python error.

How Reproducible:  always

Steps to Reproduce:
1.   Set ZONE="US/Central" in /etc/sysconfig/clock
2.   Run ksconfig.

If you set ZONE="America/Chicago", ksconfig magically works again.

Actual Results:   

  Traceback (innermost last):
     File "/usr/share/ksconfig/ksconfig.py", line 387, in ?
       timeCombo.list.select_item(select)
   NameError: select

Expected Results:

  ksconfig should run normally, no matter what value is in
/etc/sysconfig/clock.
  Preferably, there should be a way to set the timezone value in ksconfig.

Additional Information:
	
It's not clear to me that zone.tab is meant to list ALL valid timezones on
the system.  If
it is, then we have a bug in glibc-common as well, and possibly anaconda.
Comment 1 Brent Fox 2001-08-08 18:42:56 EDT
Fixed in cvs.  It's also available in the Roswell public beta.

Note You need to log in before you can comment on or make changes to this bug.